## udev-hid-bpf 2.1.0.20240704.170.g481dd20

=== debian/changelog ===
udev-hid-bpf (2.1.0.20240704.170.g481dd20-1) unstable; urgency=medium

  * Initial release. (Closes: #1111458)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 15 Feb 2026 20:43:59 +0000
