=== debian/control ===
Source: udev-hid-bpf
Section: misc
Priority: optional
Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Build-Depends:
 debhelper-compat (= 13), pkgconf, cmake, libbpf-dev, clang, bpftool,
 libudev-dev, dh-cargo, meson, librust-anyhow-dev, librust-clap-dev,
 librust-libbpf-cargo-dev, librust-libbpf-rs-dev, librust-libbpf-sys-dev,
 librust-log-dev, librust-mio-dev, librust-regex-dev, librust-serde-dev,
 librust-serde-json-dev, librust-stderrlog-dev, librust-udev-dev
Standards-Version: 4.7.2
Homepage: https://gitlab.freedesktop.org/libevdev/udev-hid-bpf
Vcs-Browser: https://salsa.debian.org/sudip/udev-hid-bpf
Vcs-Git: https://salsa.debian.org/sudip/udev-hid-bpf.git

Package: udev-hid-bpf
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: automatic HID-BPF loader based on udev events
 An automatic HID-BPF loader based on udev events. This repository aims
 to provide a simple way for users to write a HID-BPF program that
 fixes their device.
 .
 udev-hid-bpf contains distinct components:
   - udev-hid-bpf the binary that loads HID-BPF programs
   - A set of HID-BPF programs (see the src/bpf directory)
   - Scaffolding to automate loading of HID-BPF programs via udev.
