=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export PATH := /usr/share/cargo/bin:$(PATH)
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export CARGO_REGISTRY=$(CURDIR)/debian/cargo_registry
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --builddir=build-dir --buildsystem=meson

# touch a dummy checksum to allow building
override_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	rm -f Cargo.lock
	touch debian/cargo-checksum.json
	dh_auto_configure -- -Drustpath=$${DEB_HOST_RUST_TYPE} \
          -Dbpfdirs=/usr/lib/$(DEB_HOST_MULTIARCH)/bpf/ \
          -Dudevdir=/usr//lib/udev

execute_after_dh_auto_install:
	mkdir -p debian/udev-hid-bpf/usr/lib/$(DEB_HOST_MULTIARCH)/bpf/
	mv debian/udev-hid-bpf/usr/lib/firmware/hid/bpf/* debian/udev-hid-bpf/usr/lib/$(DEB_HOST_MULTIARCH)/bpf/.
	rm -rf debian/udev-hid-bpf/usr/lib/firmware
