=== debian/watch ===
Version: 5

Source: https://gitlab.freedesktop.org/libevdev/udev-hid-bpf
Matching-Pattern: HEAD
Mode: git
Git-Pretty: describe
